#
# spec file for package python-Flask-RESTful
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%{?sle15_python_module_pythons}
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Flask-RESTful
Version:        0.3.10
Release:        bp156.1.1
Summary:        Framework for creating REST APIs
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://www.github.com/flask-restful/flask-restful/
Source:         https://files.pythonhosted.org/packages/source/F/Flask-RESTful/Flask-RESTful-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Flask >= 0.8
Requires:       python-aniso8601 >= 0.82
Requires:       python-pytz
Requires:       python-six >= 1.3.0
BuildArch:      noarch
%python_subpackages

%description
Flask-RESTful provides the building blocks for creating a REST API.

%prep
%setup -q -n Flask-RESTful-%{version}
sed -i '1{/^#!/d}' flask_restful/__version__.py

%build
%python_build

%install
%python_install
%{python_expand \
$python -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/flask_restful/
$python -O -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/flask_restful/
}

%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%dir %{python_sitelib}/flask_restful
%{python_sitelib}/flask_restful/*
%{python_sitelib}/Flask_RESTful-%{version}-py*.egg-info

%changelog
* Mon Jan 22 2024 Axel Braun <axel.braun@gmx.de>
- enable %%{?sle15_python_module_pythons}
* Sat Jul  1 2023 Dirk Müller <dmueller@suse.com>
- update to 0.3.10:
  * Compatibility with Flask 2.3
* Thu Jun 17 2021 Dirk Müller <dmueller@suse.com>
- update to 0.3.9:
  * Werkzeug 1.x compatibility
  * remove unused deps
  * Flask 2.x compatibiliy
* Sat Feb  8 2020 Arun Persaud <arun@gmx.de>
- specfile:
  * update copyright year
- update to version 0.3.8:
  * Add Python 3.8 support (#835)
  * Fix wrongly parsed Decimal fields (#855)
  * Fix overridden response when calling abort with Response (#817)
  * Various small fixes and updates to documentation
* Sat Sep 14 2019 John Vandenberg <jayvdb@gmail.com>
- Use %%python_expand to recompile to fix inconsistent mtime
- Expand fdupes to avoid dups in egg-info
- Fix hashbang
* Sun Dec 30 2018 Arun Persaud <arun@gmx.de>
- specfile:
  * be more specific in %%files section
  * removed python-devel
- update to version 0.3.7:
  * Fix error handling in python3 (#696)
  * Fix arguments with type=list (#705)
  * Return code for parse_args() is now configurable (#722)
  * Removed flask_restful.paging module.
  * Removed misleading help_on_404 functionality (#722)
  * JSON keys are no longer sorted by default in debug mode in python3
    (#680)
  * Various small fixes and updates to documentation
* Wed Aug  8 2018 jengelh@inai.de
- Ensure neutrality of description.
* Wed Aug  8 2018 mimi.vx@gmail.com
- py_compile all
* Wed Jul 25 2018 dmueller@suse.com
- Initial package (0.3.6)
